Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class ServletLifecycle

    java.lang.Object
      org.jboss.seam.contexts.ServletLifecycle

    public class ServletLifecycle

extends Object

Methods for setup and teardown of Seam contexts at the beginning and end of servlet requests.

Author:
  Gavin King, Thomas Heute

Constructor Summary
`ServletLifecycle()`

Method Summary
`static void` | `beginApplication(javax.servlet.ServletContext context)`
`static void` | `beginInitialization()`
`static void` | `beginReinitialization(javax.servlet.http.HttpServletRequest request)`
`static void` | `beginRequest(javax.servlet.http.HttpServletRequest request)`
`static void` | `beginSession(javax.servlet.http.HttpSession session)`
`static void` | `endApplication()`
`static void` | `endInitialization()`
`static void` | `endRequest(javax.servlet.http.HttpServletRequest request)`
`static void` | `endSession(javax.servlet.http.HttpSession session)`
`static javax.servlet.ServletContext` | `getServletContext()`
`static void` | `resumeConversation(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletLifecycle

    public ServletLifecycle()

Method Detail

### getServletContext

    public static javax.servlet.ServletContext getServletContext()

### beginRequest

    public static void beginRequest(javax.servlet.http.HttpServletRequest request)

### endRequest

    public static void endRequest(javax.servlet.http.HttpServletRequest request)

### beginInitialization

    public static void beginInitialization()

### beginReinitialization

    public static void beginReinitialization(javax.servlet.http.HttpServletRequest request)

### endInitialization

    public static void endInitialization()

### beginApplication

    public static void beginApplication(javax.servlet.ServletContext context)

### endApplication

    public static void endApplication()

### beginSession

    public static void beginSession(javax.servlet.http.HttpSession session)

### endSession

    public static void endSession(javax.servlet.http.HttpSession session)

### resumeConversation

    public static void resumeConversation(javax.servlet.http.HttpServletRequest request)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD